cups-lpd(8)

NAME
cups-lpd - empfängt Druckaufträge und meldet den Druckerstatus an lpd-Clients (veraltet)

SYNOPSIS
cups-lpd [ -h Hostname[:Port] ] [ -n ] [ -o Option=Wert ]

BESCHREIBUNG
cups-lpd ist der CUPS-Line-Printer-Daemon (»LPD«)-Mini-Server, der alte Client-Systeme unterstützt, die das LPD-Protokoll benutzen. cups-lpd agiert nicht als selbstständiger Netzwerk-Daemon, sondern läuft unter einem der Internet-»Super-Server« wie inetd(8), launchd(8) und systemd(8).

OPTIONEN

-h Hostname[:Port]
    Setzt den zu benutzenden CUPS-Server (und Port).

-n  Deaktiviert inverse Adressabfragen, normalerweise wird cups-lpd versuchen, den Rechnernamen eines Clients über inverse DNS-Abfragen zu ermitteln.

-o Name=Wert
    Fügt Optionen für alle Druckerwarteschlangen ein. Meistens wird dies zur Deaktivierung des Filters »l« verwandt, so dass nicht-lokale Druckaufträge wie für den Druck benötigt gefiltert werden. Das nachfolgende inetd(8)-Beispiel setzten die Option »document-format« auf »application/octet-stream«, womit die automatische Erkennung des Druckdateiformats erzwungen wird.

KONFORMITÄT
cups-lpd erzwingt die in RFC 1179 spezifizierte eingeschränkte Quellportnummer nicht, da eingeschränkte Ports Benutzer nicht vom Einreichen von Druckaufträgen abhalten. Obwohl dieses Verhalten sich von standardmäßigen Berkeley-LPD-Implementierungen unterscheidet, sollte es den normalen Betrieb von Clients nicht betreffen.

Die Ausgabe der Statusabfragen folgt RFC 2569 »Mapping between LPD and IPP Protocols«. Da viele LPD-Implementierungen von dieser Definition abweichen, könnte die nicht-lokale Statusberichterstattung an LDP-Clients unzuverlässig sein.

FEHLER
Fehler werden an das Systemprotokolliersystem gesandt.

DATEIEN
/etc/inetd.conf
/etc/xinetd.d/cups-lpd
/System/Library/LaunchDaemons/org.cups.cups-lpd.plist

HINWEISE
Das Programm Programm cups-lpd ist veraltet und wird in einer zukünftigen Veröffentlichung von CUPS nicht mehr unterstützt werden.

  DURCHSATZ
cups-lpd läuft gut mit einer kleinen Anzahl an Clients und Druckern. Da allerdings für jede Verbindung ein Prozess erstellt wird und jeder Prozess das Drucksystem vor Einreichen jedes Auftrags abfragen muss, ist es schlecht an größere Konfigurationen angepasst. Wir empfehlen nachdrücklich, dass große Konfigurationen die von CUPS direkt bereitgestellte IPP-Unterstützung verwenden.

  SICHERHEIT
cups-lpd führt derzeit keine auf den Einstellungen in cupsd.conf(5) oder in den von TCP-Wrappers verwandten Dateien hosts.allow(5) oder hosts.deny(5) basierte Zugriffskontrolle durch. Daher wird die Ausführung von cups-lpd auf Ihrem Server es allen Computern in Ihrem Netz (und möglicherweise allen im Internet) erlauben, auf Ihrem Server zu drucken.

Obwohl xinetd(8) über eingebaute Zugriffskontrolle verfügt, sollten Sie das Paket TCP-Wrappers mit inetd(8) verwenden, um den Zugriff auf solche Computer zu beschränken, denen es erlaubt sein soll, über Ihren Server zu drucken.

cups-lpd wird von der Standard-CUPS-Distribution nicht aktiviert. Bitte fragen Sie beim Betriebssystem-Vertreiber nach, ob es auf Ihrem System standardmäßig aktiviert ist oder nicht.

BEISPIEL
Falls Sie inetd(8) verwenden, fügen Sie die folgenden Zeilen zu der Datei inetd.conf hinzu, um den cups-lpd-Miniserver zu aktivieren:

    printer stream tcp nowait lp /usr/lib/cups/daemon/cups-lpd cups-lpd \
        -o document-format=application/octet-stream

CUPS enthält Konfigurationsdateien für launchd(8), systemd(8) und xinetd(8). Aktivieren Sie den Dienst cups-lpd einfach mittels des korrespondierenden Steuerungsprogramms.

SIEHE AUCH
cups(1), cupsd(8), inetd(8), launchd(8), xinetd(8), CUPS-Online-Hilfe (http://localhost:631/help), RFC 2569

COPYRIGHT
Copyright © 2020-2023 by OpenPrinting.